Package org.opensaml.spring.credential

# Class BasicInlineCredentialFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<BasicCredential>
org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean
org.opensaml.spring.credential.BasicInlineCredentialFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicCredential>`, `InitializingBean`

public class BasicInlineCredentialFactoryBean extends AbstractBasicCredentialFactoryBean
Factory bean for BasicInline Credentials.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean

`AbstractBasicCredentialFactoryBean.SecretKeyEncoding`

## Field Summary

Fields
Modifier and Type
Field
Description
`private byte[]`
`privateKeyInfo`
Configured private key Info.
`private byte[]`
`publicKeyInfo`
Configured public key Info.
`private byte[]`
`secretKeyInfo`
Configured secret key Info.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BasicInlineCredentialFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected PrivateKey`
`getPrivateKey()`
Get the configured Private key.
`byte[]`
`getPrivateKeyInfo()`
Get the information used to generate the private key.
`protected PublicKey`
`getPublicKey()`
return the configured Public Key.
`byte[]`
`getPublicKeyInfo()`
Get the information used to generate the public key.
`protected SecretKey`
`getSecretKey()`
return the configured Secret Key.
`byte[]`
`getSecretKeyInfo()`
Get the information used to generate the secret key.
`void`
`setPrivateKeyInfo(byte[] info)`
Set the information used to generate the private key.
`void`
`setPublicKeyInfo(byte[] info)`
Set the information used to generate the public key.
`void`
`setSecretKeyInfo(byte[] info)`
Set the information used to generate the secret key.

### Methods inherited from class org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean

`decodeSecretKey, decodeSecretKey, doCreateInstance, getObjectType, getSecretKeyAlgorithm, getSecretKeyEncoding, setSecretKeyAlgorithm, setSecretKeyEncoding`

### Methods inherited from class org.opensaml.spring.credential.AbstractCredentialFactoryBean

`getConfigDescription, getEntityID, getKeyNames, getPrivateKeyPassword, getUsageType, setConfigDescription, setEntityID, setKeyNames, setPrivateKeyPassword, setUsageType`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### publicKeyInfo

@Nullable private byte[] publicKeyInfo
Configured public key Info.

### privateKeyInfo

@Nullable private byte[] privateKeyInfo
Configured private key Info.

### secretKeyInfo

@Nullable private byte[] secretKeyInfo
Configured secret key Info.

## Constructor Details

### BasicInlineCredentialFactoryBean

public BasicInlineCredentialFactoryBean()

## Method Details

### getPublicKeyInfo

@Nullable public byte[] getPublicKeyInfo()
Get the information used to generate the public key.

Returns:
  Returns the info.

### setPublicKeyInfo

public void setPublicKeyInfo(@Nullable byte[] info)
Set the information used to generate the public key.

Parameters:
  `info` - The info to set.

### getPrivateKeyInfo

@Nullable public byte[] getPrivateKeyInfo()
Get the information used to generate the private key.

Returns:
  Returns the info.

### setPrivateKeyInfo

public void setPrivateKeyInfo(@Nullable byte[] info)
Set the information used to generate the private key.

Parameters:
  `info` - The info to set.

### getSecretKeyInfo

@Nullable public byte[] getSecretKeyInfo()
Get the information used to generate the secret key.

Returns:
  Returns the info.

### setSecretKeyInfo

public void setSecretKeyInfo(@Nullable byte[] info)
Set the information used to generate the secret key.

Parameters:
  `info` - The info to set.

### getPublicKey

@Nullable protected PublicKey getPublicKey()
return the configured Public Key.

Specified by:
  `getPublicKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key, or none if not configured.

### getPrivateKey

@Nullable protected PrivateKey getPrivateKey()
Get the configured Private key.

Specified by:
  `getPrivateKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key or null if non configured

### getSecretKey

@Nullable protected SecretKey getSecretKey()
return the configured Secret Key.

Specified by:
  `getSecretKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key, or none if not configured.